package com.goldenwater.slaj.eutr.service.impl;

import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.goldenwater.slaj.eutr.mapper.BisEutrSubjectOfCourMapper;
import com.goldenwater.slaj.eutr.domain.BisEutrSubjectOfCour;
import com.goldenwater.slaj.eutr.service.IBisEutrSubjectOfCourService;

@Service
public class BisEutrSubjectOfCourServiceImpl implements IBisEutrSubjectOfCourService {
    @Autowired
    private BisEutrSubjectOfCourMapper bisEutrSubjectOfCourMapper;

    @Override
    public BisEutrSubjectOfCour selectBisEutrSubjectOfCourByGuid(String guid) {
        return bisEutrSubjectOfCourMapper.selectBisEutrSubjectOfCourByGuid(guid);
    }

    @Override
    public List<BisEutrSubjectOfCour> selectBisEutrSubjectOfCourList(BisEutrSubjectOfCour bisEutrSubjectOfCour) {
        return bisEutrSubjectOfCourMapper.selectBisEutrSubjectOfCourList(bisEutrSubjectOfCour);
    }

    @Override
    public int insertBisEutrSubjectOfCour(BisEutrSubjectOfCour bisEutrSubjectOfCour) {
        return bisEutrSubjectOfCourMapper.insertBisEutrSubjectOfCour(bisEutrSubjectOfCour);
    }

    @Override
    public int updateBisEutrSubjectOfCour(BisEutrSubjectOfCour bisEutrSubjectOfCour) {
        return bisEutrSubjectOfCourMapper.updateBisEutrSubjectOfCour(bisEutrSubjectOfCour);
    }

    @Override
    public int deleteBisEutrSubjectOfCourByGuid(String guid) {
        return bisEutrSubjectOfCourMapper.deleteBisEutrSubjectOfCourByGuid(guid);
    }

    @Override
    public int deleteBisEutrSubjectOfCourByGuids(String[] guids) {
        return bisEutrSubjectOfCourMapper.deleteBisEutrSubjectOfCourByGuids(guids);
    }
}
